Debian Bug report logs - #400443
libx11-6: multiple wrong calls to LockDisplay and UnlockDisplay

version graph

Package: libx11-6; Maintainer for libx11-6 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libx11-6 is src:libx11.

Reported by: Jamey Sharp <sharpone@debian.org>

Date: Sun, 26 Nov 2006 10:18:10 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Found in version libx11/2:1.0.3-3

Fixed in version 2:1.1-1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400443; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Jamey Sharp <sharpone@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libx11-6: multiple wrong calls to LockDisplay and UnlockDisplay
Date: Sun, 26 Nov 2006 02:09:33 -0800
[Message part 1 (text/plain, inline)]
Package: libx11-6
Version: 2:1.0.3-3
Severity: normal
Tags: upstream fixed-upstream patch

libX11's XKB and XIM support have several potential race conditions and
deadlocks for multi-threaded applications, due to missing or incorrectly
placed calls to UnlockDisplay or LockDisplay.

http://gitweb.freedesktop.org/?p=xorg/lib/libX11.git;a=commitdiff_plain;h=941f02ede63baa46f93ed8abccebe76fb29c0789
http://gitweb.freedesktop.org/?p=xorg/lib/libX11.git;a=commitdiff_plain;h=1eedf1bd033e496843cfde42ae4ae5a119298605

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libx11-6 depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libx11-data                  2:1.0.3-3   X11 client-side library
ii  libxau6                      1:1.0.1-2   X11 authorisation library
ii  libxdmcp6                    1:1.0.1-2   X11 Display Manager Control Protoc
ii  x11-common                   1:7.1.0-7   X Window System (X.Org) infrastruc

libx11-6 recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jamey Sharp <sharpone@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 400443-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 400443-done@bugs.debian.org
Subject: Bug#400443: libx11-6: multiple wrong calls to LockDisplay and UnlockDisplay
Date: Mon, 12 Feb 2007 13:26:40 +0100
Version: 2:1.1-1

Fixed upstream a couple months ago as said by the submitter, has been in
experimental for a while.

Brice




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jul 2008 07:36:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:11:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.